# ratelimit.burst

Sets how many messages the retry ruleset may emit within each rate-limiting window.

This parameter applies to omhttp: HTTP Output Module.

Name:

  ratelimit.burst

Scope:

  input

Type:

  integer

Default:

  input=20000

Required?:

  no

Introduced:

  Not specified

## Description

This parameter sets the rate limiting behavior for the retry.ruleset. It specifies the maximum number of messages that can be emitted within the ratelimit.interval interval. For further information, see the description there.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        retry="on"
        rateLimitBurst="1000"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.